commit:     ebc421b21fb5268e08d8b1e39d9b20e4084e65e1
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 20 18:42:21 2016 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Wed Jan 20 18:42:38 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ebc421b2

sys-apps/coreutils: version bump to 8.25

 sys-apps/coreutils/Manifest              |   3 +
 sys-apps/coreutils/coreutils-8.25.ebuild | 181 +++++++++++++++++++++++++++++++
 2 files changed, 184 insertions(+)

diff --git a/sys-apps/coreutils/Manifest b/sys-apps/coreutils/Manifest
index 3cbe379..a8673ef 100644
--- a/sys-apps/coreutils/Manifest
+++ b/sys-apps/coreutils/Manifest
@@ -4,3 +4,6 @@ DIST coreutils-8.23.tar.xz 5375612 SHA256 
ec43ca5bcfc62242accb46b7f121f6b684ee21
 DIST coreutils-8.24-man.tar.xz 42920 SHA256 
cf0333b5f134a331e0b46e2ddf90666f8bdc3281c1ca2c7ccbb75b437589ce37 SHA512 
9dfe614402bc35c43301ebf97d2d36ac5db1433f48171bda15f2ba76bd9944742665b30a764df0cf773ebcad1845aae57c8e36a1cd3848c1e82a7c996d6cc78a
 WHIRLPOOL 
d702a372031fe52262204c00bee641084c099c45150d82abd5915535ab3bbe1efb63c4f00173bb88725ba49126a6ecf368d14b12843b570c08165b757b78710b
 DIST coreutils-8.24-patches-1.1.tar.xz 6688 SHA256 
79cb0dc5b58cb97e17b11b5e821ed88fae88f728d9fd07986bbb397824e49c6f SHA512 
cf340ccb918e307be8bbfd19a299bcfe5b295a26f59a8eeb8657f5dda1361100a350e996b31097948e63890987a2f83d05d2e7175c6304f4a4812b9974679c2c
 WHIRLPOOL 
3b4d4676b119e4f22a01c8450be13d6eb40720d3c57aac5631454df24814943e6e6024fbdcd27a2b262d42c1446d9c04cbdc163371ff20a4b28d9cd9a77c5c9c
 DIST coreutils-8.24.tar.xz 5649896 SHA256 
a2d75286a4b9ef3a13039c2da3868a61be4ee9f17d8ae380a35a97e506972170 SHA512 
b42bb233340353647bb9a1c3d9122c1a5379cf3602ba9197c3c935fc899897e7d4685148dfaf93eccc096bee0a9b03416d79dc9bb81d5d2dea6e04ed134a3d1b
 WHIRLPOOL 
68598e0c93375522714b9bc0dd092386a9466725b2b4b5715e2926c5087e1ce887d5e5b8e0b872347a053edcb39ba1f8c6949ee659a06ed554703a0ba07064e2
+DIST coreutils-8.25-man.tar.xz 43420 SHA256 
2ee31c3a6d2276f49c5515375d4a0c1047580da6ac10536898e0f0de81707f29 SHA512 
412afc9909d30618ab9daba51c965c0fd22420c32f6c5a7e32ba32d957a92e8a65b977bccaba4b76c55d435a57065dc6103ff11c5fa31d02f117c13a2b09f75e
 WHIRLPOOL 
f2a9458d71cfbf6227ece5b688adb34653dacda0dfbcfd5332a36e33cda58b081d9b37c4ec910c92feba485e8e182f52327f4860f1ff5e0b0b7ae2f9b82045ee
+DIST coreutils-8.25-patches-1.0.tar.xz 6664 SHA256 
3a94922c8a3b7058ca52213d600337824f74f0ac508bd64c17a34195f1ee8d25 SHA512 
c53eaad01437b08e73213e3c04a6f00b3bafaa81f023503ca152c560c410a3c2880946e11793e5d55d73b8033895d3cbf6346c6060fe57b7a82234315877c452
 WHIRLPOOL 
e2d3d2b28c8a8c40da15c78dffa4c5f52a0eeb70ba9d8bc53445e2574a3020bb6b4f1414bd595ca593f9af1a7bdb21d2b71dc99e5989c85918663abfb7bd1cdd
+DIST coreutils-8.25.tar.xz 5725008 SHA256 
31e67c057a5b32a582f26408c789e11c2e8d676593324849dcf5779296cdce87 SHA512 
571f95d44987d373081ed4c6ac82155ad3dcd95621d7b1a7163597e80ecbbafef2cd74b2ef594587a443a1a4355083879f898a286bb0230c48112d43d076ccd6
 WHIRLPOOL 
e871e177ffaf96bfdd9e668eb9a09df9fd952ff095796cffd1ac2b8b3943c9c2ae79c31890fa02b5ed2609b6c6c84b64d2292454b043d62260a9560d2f7b9457

diff --git a/sys-apps/coreutils/coreutils-8.25.ebuild 
b/sys-apps/coreutils/coreutils-8.25.ebuild
new file mode 100644
index 0000000..4e858f9
--- /dev/null
+++ b/sys-apps/coreutils/coreutils-8.25.ebuild
@@ -0,0 +1,181 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# To generate the man pages, unpack the upstream tarball and run:
+# ./configure --enable-install-program=arch,coreutils,hostname,kill
+# make
+# cd ..
+# tar cf - coreutils-*/man/*.[0-9] | xz > coreutils-<ver>-man.tar.xz
+
+EAPI="4"
+
+inherit eutils flag-o-matic toolchain-funcs
+
+PATCH_VER="1.0"
+DESCRIPTION="Standard GNU file utilities (chmod, cp, dd, dir, ls...), text 
utilities (sort, tr, head, wc..), and shell utilities (whoami, who,...)"
+HOMEPAGE="https://www.gnu.org/software/coreutils/";
+SRC_URI="mirror://gnu/${PN}/${P}.tar.xz
+       mirror://gentoo/${P}-patches-${PATCH_VER}.tar.xz
+       https://dev.gentoo.org/~vapier/dist/${P}-patches-${PATCH_VER}.tar.xz
+       mirror://gentoo/${P}-man.tar.xz
+       https://dev.gentoo.org/~vapier/dist/${P}-man.tar.xz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~arm-linux ~x86-linux"
+IUSE="acl caps gmp hostname kill multicall nls selinux static userland_BSD 
vanilla xattr"
+
+LIB_DEPEND="acl? ( sys-apps/acl[static-libs] )
+       caps? ( sys-libs/libcap )
+       gmp? ( dev-libs/gmp[static-libs] )
+       xattr? ( !userland_BSD? ( sys-apps/attr[static-libs] ) )"
+RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs]} )
+       selinux? ( sys-libs/libselinux )
+       nls? ( virtual/libintl )"
+DEPEND="${RDEPEND}
+       static? ( ${LIB_DEPEND} )
+       app-arch/xz-utils"
+RDEPEND+="
+       hostname? ( !sys-apps/net-tools[hostname] )
+       kill? (
+               !sys-apps/util-linux[kill]
+               !sys-process/procps[kill]
+       )
+       !app-misc/realpath
+       !<sys-apps/util-linux-2.13
+       !sys-apps/stat
+       !net-mail/base64
+       !sys-apps/mktemp
+       !<app-forensics/tct-1.18-r1
+       !<net-fs/netatalk-2.0.3-r4"
+
+src_prepare() {
+       if ! use vanilla ; then
+               use_if_iuse unicode || rm -f 
"${WORKDIR}"/patch/000_all_coreutils-i18n.patch
+               EPATCH_SUFFIX="patch" \
+               PATCHDIR="${WORKDIR}/patch" \
+               EPATCH_EXCLUDE="001_all_coreutils-gen-progress-bar.patch" \
+               epatch
+       fi
+
+       # Since we've patched many .c files, the make process will try to
+       # re-build the manpages by running `./bin --help`.  When doing a
+       # cross-compile, we can't do that since 'bin' isn't a native bin.
+       # Also, it's not like we changed the usage on any of these things,
+       # so let's just update the timestamps and skip the help2man step.
+       set -- man/*.x
+       touch ${@/%x/1}
+
+       # Avoid perl dep for compiled in dircolors default #348642
+       if ! has_version dev-lang/perl ; then
+               touch src/dircolors.h
+               touch ${@/%x/1}
+       fi
+}
+
+src_configure() {
+       local myconf=''
+       if tc-is-cross-compiler && [[ ${CHOST} == *linux* ]] ; then
+               export fu_cv_sys_stat_statfs2_bsize=yes #311569
+               export gl_cv_func_realpath_works=yes #416629
+       fi
+
+       export gl_cv_func_mknod_works=yes #409919
+       use static && append-ldflags -static && sed -i '/elf_sys=yes/s:yes:no:' 
configure #321821
+       use selinux || export 
ac_cv_{header_selinux_{context,flash,selinux}_h,search_setfilecon}=no #301782
+       use userland_BSD && myconf="${myconf} -program-prefix=g 
--program-transform-name=s/stat/nustat/"
+       # kill/uptime - procps
+       # groups/su   - shadow
+       # hostname    - net-tools
+       econf \
+               --with-packager="Gentoo" \
+               --with-packager-version="${PVR} (p${PATCH_VER:-0})" \
+               --with-packager-bug-reports="https://bugs.gentoo.org/"; \
+               --enable-install-program="arch,$(usev hostname),$(usev kill)" \
+               --enable-no-install-program="groups,$(usev !hostname),$(usev 
!kill),su,uptime" \
+               --enable-largefile \
+               $(use caps || echo --disable-libcap) \
+               $(use_enable nls) \
+               $(use_enable acl) \
+               $(use_enable multicall single-binary) \
+               $(use_enable xattr) \
+               $(use_with gmp) \
+               ${myconf}
+}
+
+src_test() {
+       # Non-root tests will fail if the full path isn't
+       # accessible to non-root users
+       chmod -R go-w "${WORKDIR}"
+       chmod a+rx "${WORKDIR}"
+
+       # coreutils tests like to do `mount` and such with temp dirs
+       # so make sure /etc/mtab is writable #265725
+       # make sure /dev/loop* can be mounted #269758
+       mkdir -p "${T}"/mount-wrappers
+       mkwrap() {
+               local w ww
+               for w in "$@" ; do
+                       ww="${T}/mount-wrappers/${w}"
+                       cat <<-EOF > "${ww}"
+                               #!${EPREFIX}/bin/sh
+                               exec env 
SANDBOX_WRITE="\${SANDBOX_WRITE}:/etc/mtab:/dev/loop" $(type -P $w) "\$@"
+                       EOF
+                       chmod a+rx "${ww}"
+               done
+       }
+       mkwrap mount umount
+
+       addwrite /dev/full
+       #export RUN_EXPENSIVE_TESTS="yes"
+       #export FETISH_GROUPS="portage wheel"
+       env PATH="${T}/mount-wrappers:${PATH}" \
+       emake -j1 -k check
+}
+
+src_install() {
+       default
+
+       insinto /etc
+       newins src/dircolors.hin DIR_COLORS
+
+       if [[ ${USERLAND} == "GNU" ]] ; then
+               cd "${ED}"/usr/bin
+               dodir /bin
+               # move critical binaries into /bin (required by FHS)
+               local fhs="cat chgrp chmod chown cp date dd df echo false ln ls
+                          mkdir mknod mv pwd rm rmdir stty sync true uname"
+               mv ${fhs} ../../bin/ || die "could not move fhs bins"
+               # move critical binaries into /bin (common scripts)
+               local com="basename chroot cut dir dirname du env expr head 
mkfifo
+                          mktemp readlink seq sleep sort tail touch tr tty 
vdir wc yes"
+               mv ${com} ../../bin/ || die "could not move common bins"
+               # create a symlink for uname in /usr/bin/ since autotools 
require it
+               local x
+               for x in ${com} uname ; do
+                       dosym /bin/${x} /usr/bin/${x}
+               done
+       else
+               # For now, drop the man pages, collides with the ones of the 
system.
+               rm -rf "${ED}"/usr/share/man
+       fi
+
+}
+
+pkg_postinst() {
+       ewarn "Make sure you run 'hash -r' in your active shells."
+       ewarn "You should also re-source your shell settings for LS_COLORS"
+       ewarn "  changes, such as: source /etc/profile"
+
+       # Help out users using experimental filesystems
+       if grep -qs btrfs "${EROOT}"/etc/fstab /proc/mounts ; then
+               case $(uname -r) in
+               2.6.[12][0-9]|2.6.3[0-7]*)
+                       ewarn "You are running a system with a buggy btrfs 
driver."
+                       ewarn "Please upgrade your kernel to avoid silent 
corruption."
+                       ewarn "See: https://bugs.gentoo.org/353907";
+                       ;;
+               esac
+       fi
+}

Reply via email to